using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] h = new int[n];
            string[] s1 = Console.ReadLine().Split();
            if (s1.Length == n)
            {
                for (int i = 0; i < n; i++)
                {
                    h[i] = int.Parse(s1[i]);
                    if (h[i] <= l)
                    {
                        Console.WriteLine(i + 1);
                        return;
                    }
                }
                Console.WriteLine(-1);
            }
            else
            {
                Console.WriteLine(-1);
            }

        }
    }
}